## roc-toolkit 0.3.0%2Bdfsg

=== debian/changelog ===
roc-toolkit (0.3.0+dfsg-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:58:54 +1100

roc-toolkit (0.3.0+dfsg-7ubuntu1) noble; urgency=medium

  * Revert the Build-Depends on libopenfec-dev which was added in the
    previous revision, the package is in universe.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Mar 2024 11:39:27 +0100

roc-toolkit (0.3.0+dfsg-7build1) noble; urgency=medium

  * No-change rebuild against libuv1t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 12 Mar 2024 12:34:26 +1300

roc-toolkit (0.3.0+dfsg-7) unstable; urgency=medium

  * Add libopenfec-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Jan 2024 22:31:18 +0100

roc-toolkit (0.3.0+dfsg-6) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Install the upstream tests in a new binary and
      use it for autopkgtests (Closes: #1059269)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 09 Jan 2024 20:38:04 +0100

roc-toolkit (0.3.0+dfsg-5) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable build tests (Closes: #1058582)
  * Add libcpputest-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Dec 2023 21:37:47 +0100

roc-toolkit (0.3.0+dfsg-4) unstable; urgency=medium

  * Restrict Build-Deps on libunwind-dev only on supported architectures

 -- Dylan Aïssi <daissi@debian.org>  Sat, 02 Dec 2023 09:58:05 +0100

roc-toolkit (0.3.0+dfsg-3) unstable; urgency=medium

  * libroc-dev: add missing dependencies required by roc.pc:
      libspeexdsp-dev, libssl-dev, libunwind-dev and libuv1-dev

 -- Dylan Aïssi <daissi@debian.org>  Mon, 27 Nov 2023 13:24:29 +0100

roc-toolkit (0.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable
  * Define libdir with DEB_HOST_MULTIARCH
  * Use pkgconf instead of pkg-config

 -- Dylan Aïssi <daissi@debian.org>  Sat, 25 Nov 2023 22:20:10 +0100

roc-toolkit (0.3.0+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #1056701)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Nov 2023 23:40:28 +0100
