=== debian/control ===
Source: roc-toolkit
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               gengetopt,
               libcpputest-dev,
               libpulse-dev,
               libsox-dev,
               libspeexdsp-dev,
               libssl-dev,
               libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
               libuv1-dev,
               pkgconf,
               ragel,
               scons
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/roc-toolkit
Vcs-Git: https://salsa.debian.org/multimedia-team/roc-toolkit.git
Homepage: https://roc-streaming.org/

Package: libroc0.3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: real-time audio streaming over the network (shared library)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the shared library.

Package: libroc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libroc0.3 (= ${binary:Version}),
         libspeexdsp-dev,
         libssl-dev,
         libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
         libuv1-dev
Description: real-time audio streaming over the network (development files)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the development files for libroc.

Package: roc-toolkit-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: real-time audio streaming over the network (tools)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package provides the roc-toolkit tools.

Package: roc-toolkit-tests
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: real-time audio streaming over the network (tests)
 Roc is a network transport, highly specialized for the real-time streaming use
 case. The user writes the stream to the one end and reads it from another end,
 and Roc deals with all the complexity of the task of delivering data in time
 and with no loss. Encoding, decoding, adjusting rates, restoring losses - all
 these are performed transparently under the hood.
 .
 This package contains test programs from the upstream code which are used
 for the autopkgtests.
