=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: roc-toolkit
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gengetopt,
                libcpputest-dev,
+               libopenfec-dev [!sparc64],
                libpulse-dev,
                libsox-dev,
                libspeexdsp-dev,
@@ -26,8 +27,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: real-time audio streaming over the network (shared library)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -41,12 +41,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
+Depends: libopenfec-dev [!sparc64],
          libroc0.3 (= ${binary:Version}),
          libspeexdsp-dev,
          libssl-dev,
          libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
-         libuv1-dev
+         libuv1-dev,
+         ${misc:Depends}
 Description: real-time audio streaming over the network (development files)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -58,8 +59,7 @@
 
 Package: roc-toolkit-tools
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: real-time audio streaming over the network (tools)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -71,8 +71,7 @@
 
 Package: roc-toolkit-tests
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: real-time audio streaming over the network (tests)
  Roc is a network transport, highly specialized for the real-time streaming use
