## roc-toolkit 0.4.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,21 @@
                libcpputest-dev,
                libopenfec-dev [!sparc64],
                libpulse-dev,
+               libsndfile1-dev,
                libsox-dev,
                libspeexdsp-dev,
                libssl-dev,
-               libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
                libuv1-dev,
                pkgconf,
                ragel,
                scons
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/roc-toolkit
 Vcs-Git: https://salsa.debian.org/multimedia-team/roc-toolkit.git
 Homepage: https://roc-streaming.org/
 
-Package: libroc0.3
+Package: libroc0.4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -42,10 +42,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libopenfec-dev [!sparc64],
-         libroc0.3 (= ${binary:Version}),
+         libroc0.4 (= ${binary:Version}),
          libspeexdsp-dev,
          libssl-dev,
-         libunwind-dev [!alpha !hurd-any !m68k !sparc64 !x32],
          libuv1-dev,
          ${misc:Depends}
 Description: real-time audio streaming over the network (development files)
