## roc-toolkit 0.4.0+dfsg

=== SConstruct ===
--- 
+++ 
@@ -208,6 +208,11 @@
           dest='disable_sox',
           action='store_true',
           help='disable SoX support in tools')
+
+AddOption('--disable-sndfile',
+          dest='disable_sndfile',
+          action='store_true',
+          help='disable sndfile support in tools')
 
 AddOption('--disable-openssl',
           dest='disable_openssl',
@@ -374,9 +379,3 @@
 
 clean_all = []
 for p in ['bin',
-          'build',
-          'dist',
-          'docs/html',
-          'compile_commands.json',
-          'config.log',
-          '.sconsign*.dblite',
