=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: roc-toolkit
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gengetopt,
@@ -27,7 +26,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: real-time audio streaming over the network (shared library)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -41,12 +41,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopenfec-dev [!sparc64],
+Depends: ${misc:Depends},
          libroc0.4 (= ${binary:Version}),
+         libopenfec-dev [!sparc64],
          libspeexdsp-dev,
          libssl-dev,
-         libuv1-dev,
-         ${misc:Depends}
+         libuv1-dev
 Description: real-time audio streaming over the network (development files)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -58,7 +58,8 @@
 
 Package: roc-toolkit-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: real-time audio streaming over the network (tools)
  Roc is a network transport, highly specialized for the real-time streaming use
  case. The user writes the stream to the one end and reads it from another end,
@@ -70,7 +71,8 @@
 
 Package: roc-toolkit-tests
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: foreign
 Description: real-time audio streaming over the network (tests)
  Roc is a network transport, highly specialized for the real-time streaming use
